package main

import (
	"os"
	"testing"
)

func TestHelloWorld(t *testing.T) {
	fin, err := os.Open("./testdata/hello.wasm")
	if err != nil {
		t.Fatal(err)
	}
	defer fin.Close()

	p, err := NewProcess(fin)
	if err != nil {
		t.Fatal(err)
	}

	ret, err := p.Main()
	if err != nil {
		t.Fatal(err)
	}

	if ret != 0 {
		t.Fatalf("expected return code to be 0, got: %d", ret)
	}
}
